Subject: Re: Hard freeze with 2.6.10-rc3 and QoS, worked fine with 2.6.9

From: Patrick McHardy <[email-masked]>
Date: Wed, 08 Dec 2004 23:26:46 +0100

Stephen Hemminger wrote:

>I think the problem was a missing poke (qdisc_restart) in the netem timer
>routine, it probably worked earlier for me on other hardware because I was
>using different hardware that was waking up and checking tx in response
>to received packets.
>  
>
Yes, that seems likely. Since netem doesn't account for the delayed packets
in sch->q.qlen it will only be woken up while non-delayed packets are 
queued.

Regards
Patrick